sidebarNodes={"extras":[{"id":"api-reference","title":"API Reference","group":"","headers":[{"id":"Modules","anchor":"modules"},{"id":"Exceptions","anchor":"exceptions"},{"id":"Mix Tasks","anchor":"mix-tasks"}]},{"id":"readme","title":"Introduction to Money","group":"","headers":[{"id":"Prerequisities","anchor":"prerequisities"},{"id":"Exchange rates and currency conversion","anchor":"exchange-rates-and-currency-conversion"},{"id":"Configuration","anchor":"configuration"},{"id":"The Exchange rates service process supervision and startup","anchor":"the-exchange-rates-service-process-supervision-and-startup"},{"id":"Using Ecto or other applications from within the callback module","anchor":"using-ecto-or-other-applications-from-within-the-callback-module"},{"id":"API Usage Examples","anchor":"api-usage-examples"},{"id":"Serializing to a Postgres database with Ecto","anchor":"serializing-to-a-postgres-database-with-ecto"},{"id":"Serializing to a MySQL (or other non-Postgres) database with Ecto","anchor":"serializing-to-a-mysql-or-other-non-postgres-database-with-ecto"},{"id":"Installation","anchor":"installation"},{"id":"Why yet another Money package?","anchor":"why-yet-another-money-package"},{"id":"Falsehoods programmers believe about prices","anchor":"falsehoods-programmers-believe-about-prices"}]},{"id":"changelog","title":"Changelog for Money v2.0.4","group":"","headers":[]},{"id":"license","title":"LICENSE","group":"","headers":[{"id":"License","anchor":"license"}]}],"exceptions":[{"id":"Money.ExchangeRateError","title":"Money.ExchangeRateError","group":"","functions":[{"id":"exception/1","anchor":"exception/1"},{"id":"message/1","anchor":"message/1"}]},{"id":"Money.Invalid","title":"Money.Invalid","group":"","functions":[{"id":"exception/1","anchor":"exception/1"},{"id":"message/1","anchor":"message/1"}]},{"id":"Money.InvalidAmountError","title":"Money.InvalidAmountError","group":"","functions":[{"id":"exception/1","anchor":"exception/1"},{"id":"message/1","anchor":"message/1"}]},{"id":"Money.UnknownCurrencyError","title":"Money.UnknownCurrencyError","group":"","functions":[{"id":"exception/1","anchor":"exception/1"},{"id":"message/1","anchor":"message/1"}]}],"modules":[{"id":"Money","title":"Money","group":"","functions":[{"id":"add/2","anchor":"add/2"},{"id":"add!/2","anchor":"add!/2"},{"id":"cmp/2","anchor":"cmp/2"},{"id":"cmp!/2","anchor":"cmp!/2"},{"id":"compare/2","anchor":"compare/2"},{"id":"compare!/2","anchor":"compare!/2"},{"id":"div/2","anchor":"div/2"},{"id":"div!/2","anchor":"div!/2"},{"id":"equal?/2","anchor":"equal?/2"},{"id":"from_float/2","anchor":"from_float/2"},{"id":"from_float!/2","anchor":"from_float!/2"},{"id":"from_integer/2","anchor":"from_integer/2"},{"id":"from_tuple/1","anchor":"from_tuple/1"},{"id":"from_tuple!/1","anchor":"from_tuple!/1"},{"id":"get_env/3","anchor":"get_env/3"},{"id":"mult/2","anchor":"mult/2"},{"id":"mult!/2","anchor":"mult!/2"},{"id":"new/2","anchor":"new/2"},{"id":"new!/2","anchor":"new!/2"},{"id":"reduce/1","anchor":"reduce/1"},{"id":"round/2","anchor":"round/2"},{"id":"split/2","anchor":"split/2"},{"id":"sub/2","anchor":"sub/2"},{"id":"sub!/2","anchor":"sub!/2"},{"id":"to_currency/3","anchor":"to_currency/3"},{"id":"to_currency!/2","anchor":"to_currency!/2"},{"id":"to_currency!/3","anchor":"to_currency!/3"},{"id":"to_decimal/1","anchor":"to_decimal/1"},{"id":"to_integer_exp/1","anchor":"to_integer_exp/1"},{"id":"to_string/2","anchor":"to_string/2"},{"id":"to_string!/2","anchor":"to_string!/2"},{"id":"validate_currency/1","anchor":"validate_currency/1"}],"types":[{"id":"currency_code/0","anchor":"t:currency_code/0"},{"id":"t/0","anchor":"t:t/0"}]},{"id":"Money.Application","title":"Money.Application","group":"","functions":[{"id":"start/2","anchor":"start/2"}]},{"id":"Money.Financial","title":"Money.Financial","group":"","functions":[{"id":"future_value/2","anchor":"future_value/2"},{"id":"future_value/3","anchor":"future_value/3"},{"id":"interest_rate/3","anchor":"interest_rate/3"},{"id":"internal_rate_of_return/1","anchor":"internal_rate_of_return/1"},{"id":"net_present_value/2","anchor":"net_present_value/2"},{"id":"net_present_value/3","anchor":"net_present_value/3"},{"id":"net_present_value/4","anchor":"net_present_value/4"},{"id":"payment/3","anchor":"payment/3"},{"id":"periods/3","anchor":"periods/3"},{"id":"present_value/2","anchor":"present_value/2"},{"id":"present_value/3","anchor":"present_value/3"}]},{"id":"Money.Sigil","title":"Money.Sigil","group":"","functions":[{"id":"sigil_M/2","anchor":"sigil_M/2"},{"id":"validate_currency!/1","anchor":"validate_currency!/1"}]},{"id":"Money.ExchangeRates","title":"Money.ExchangeRates","group":"Exchange Rates","callbacks":[{"id":"get_historic_rates/2","anchor":"c:get_historic_rates/2"},{"id":"get_latest_rates/1","anchor":"c:get_latest_rates/1"},{"id":"init/1","anchor":"c:init/1"}],"functions":[{"id":"config/0","anchor":"config/0"},{"id":"default_config/0","anchor":"default_config/0"},{"id":"get_historic_rates/2","anchor":"get_historic_rates/2"},{"id":"get_latest_rates/1","anchor":"get_latest_rates/1"},{"id":"historic_rates/1","anchor":"historic_rates/1"},{"id":"last_updated/0","anchor":"last_updated/0"},{"id":"latest_rates/0","anchor":"latest_rates/0"},{"id":"latest_rates_available?/0","anchor":"latest_rates_available?/0"},{"id":"retrieve_historic/1","anchor":"retrieve_historic/1"},{"id":"retrieve_historic/2","anchor":"retrieve_historic/2"},{"id":"retrieve_latest/0","anchor":"retrieve_latest/0"}]},{"id":"Money.ExchangeRates.Callback","title":"Money.ExchangeRates.Callback","group":"Exchange Rates","callbacks":[{"id":"historic_rates_retrieved/2","anchor":"c:historic_rates_retrieved/2"},{"id":"latest_rates_retrieved/2","anchor":"c:latest_rates_retrieved/2"}],"functions":[{"id":"historic_rates_retrieved/2","anchor":"historic_rates_retrieved/2"},{"id":"latest_rates_retrieved/2","anchor":"latest_rates_retrieved/2"}]},{"id":"Money.ExchangeRates.Config","title":"Money.ExchangeRates.Config","group":"Exchange Rates"},{"id":"Money.ExchangeRates.OpenExchangeRates","title":"Money.ExchangeRates.OpenExchangeRates","group":"Exchange Rates","functions":[{"id":"get_historic_rates/2","anchor":"get_historic_rates/2"},{"id":"get_latest_rates/1","anchor":"get_latest_rates/1"},{"id":"init/1","anchor":"init/1"}]},{"id":"Money.ExchangeRates.Retriever","title":"Money.ExchangeRates.Retriever","group":"Exchange Rates","functions":[{"id":"init/1","anchor":"init/1"},{"id":"log/3","anchor":"log/3"},{"id":"retrieve_historic_rates/2","anchor":"retrieve_historic_rates/2"},{"id":"retrieve_latest_rates/1","anchor":"retrieve_latest_rates/1"},{"id":"start_link/2","anchor":"start_link/2"}]},{"id":"Money.Ecto.Composite.Type","title":"Money.Ecto.Composite.Type","group":"Ecto","functions":[{"id":"blank?/1","anchor":"blank?/1"},{"id":"cast/1","anchor":"cast/1"},{"id":"dump/1","anchor":"dump/1"},{"id":"load/1","anchor":"load/1"},{"id":"type/0","anchor":"type/0"}]},{"id":"Money.Ecto.Map.Type","title":"Money.Ecto.Map.Type","group":"Ecto","functions":[{"id":"cast/1","anchor":"cast/1"},{"id":"dump/1","anchor":"dump/1"},{"id":"load/1","anchor":"load/1"},{"id":"type/0","anchor":"type/0"}]}],"tasks":[{"id":"Mix.Tasks.Money.Gen.Postgres.Migration","title":"money.gen.postgres.migration","group":""}]}